local self_ID  = "J-10A by Water Moon"    
declare_plugin(self_ID,
{


installed 	 = true,  
dirName	  	 = current_mod_path,



version		 = "1.0.0 Beta",            
state		 = "installed",
info		 = _("J-10A was developed by the Chinese single engine multirole fighter . "),

binaries 	 =
	{
	
		
	},
InputProfiles =
	{
		["J-10A"]     = current_mod_path .. '/Input/J-10A',
	},
Skins	=
	{
		{
			name	= _("J-10A"),
			dir		= "Theme"
		},
	},
Missions =
	{
		{
			name		= _("J-10A"),
			dir			= "Missions",
		},
	},
LogBook =
	{
		{
			name		= _("J-10A"),
			type		= "J-10A",
		},
	},
mount_vfs_texture_path (current_mod_path.."/Skins/1/ME")
})
---------------------------------------------------------------------------------------
mount_vfs_model_path   (current_mod_path.."/Shapes")               
mount_vfs_texture_path (current_mod_path.."/Textures/PL")          
mount_vfs_texture_path (current_mod_path.."/Textures/J-10A")       
mount_vfs_liveries_path(current_mod_path.."/Liveries")             



dofile(current_mod_path.."/J-10A")
make_view_settings('J-10A', ViewSettings, SnapViews)
---------------------------------------------------------------------------------------
make_flyable("J-10A", current_mod_path..'/Cockpit/KneeboardRight/',{nil, old = 3}, current_mod_path..'/Comm/comm.lua')



plugin_done()-- 
